### Method

# Gimp Config deserialize_file

since: 2.10

#### Declaration [src]

    gboolean
    gimp_config_deserialize_file (
      GimpConfig* config,
      GFile* file,
      gpointer data,
      GError** error
    )

#### Description [src]

Opens the file specified by `file`, reads configuration data from it and configures `config` accordingly. Basically this function creates a properly configured `GScanner` for you and calls the deserialize function of the `config`‘s `GimpConfigInterface`.

Available since: 2.10

#### Parameters

`file`

  Type: `GFile`

  The file to read configuration from.

  The data is owned by the caller of the method.

`data`

  Type: `gpointer`

  User data passed to the deserialize implementation.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

Whether deserialization succeeded.